/* SECTION 1 (key marriage laws and legal acts) */
.key-container {
  width: 100%;
  padding: 0 20px;
}

.key-wrapper {
  max-width: 1240px;
  margin: 0 auto;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 80px;
  padding: 80px 0;
  padding-top: 50px;
}

.key-content {
  max-width: 552px;
  display: flex;
  flex-direction: column;
  gap: clamp(35px, 5.3vw, 40px);
}

.key-head-para {
  display: flex;
  flex-direction: column;
  gap: 15px;
}

.key-head {
  max-width: 400px;
}

.key-highlight {
  padding: 16px 12px;
  background-color: var(--color-mist-green);
  border-radius: 4px;
  font-size: 15px;
  line-height: 24px;
}

.key-note-card {
  display: flex;
  flex-direction: column;
  gap: 30px;
  padding: 16px;
  border: 1px solid var(--color-green);
  border-radius: 4px;
}

.key-note-head {
  display: flex;
  align-items: center;
  gap: 16px;
  padding-bottom: 10px;
  position: relative;
}

.key-note-head::before {
  content: "";
  position: absolute;
  max-width: 100%;
  width: 100%;
  height: 0.5px;
  bottom: 0;
  left: 0;
  background: linear-gradient(
    90deg,
    var(--color-green) 0%,
    var(--color-mist-green) 50%,
    var(--color-mist-green) 100%
  );
}

.key-note-icon {
  width: 50px;
  height: 50px;
  flex-shrink: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 50%;
  background-color: var(--color-green);
}

.key-note-list {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 10px;
}

.key-note-point {
  display: flex;
  align-items: center;
  gap: 12px;
}

.key-note-point span {
  display: flex;
  justify-content: center;
  align-items: center;
}

.key-visual {
  display: flex;
  flex-direction: row-reverse;
  aspect-ratio: 610 / 550;
  max-width: 610px;
  width: 100%;
  min-width: 410px;
  height: auto;
}

.key-main-image {
  aspect-ratio: 544 / 525;
  max-width: 544px;
  width: 100%;
  height: fit-content;
  background-color: var(--color-green);
  border-radius: 6px;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 30px;
  margin-left: 44px;
}

.key-experience-card {
  max-width: 215px;
  width: 100%;
  flex-shrink: 0;
  background-color: var(--color-mist-green);
  padding: 12px 16px;
  color: var(--color-green);
  display: flex;
  align-items: center;
  height: fit-content;
  z-index: 2;
  border-radius: 8px;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.2);

  margin: auto;
  margin-right: -200px;
  margin-bottom: 0;
}

.key-experience-card strong {
  font-size: 32px;
  line-height: 42px;
  font-weight: 600;
}

.key-experience-card span {
  text-align: center;
}

.key-image {
  display: flex;
  justify-content: center;
  align-items: center;
}

.key-image img {
  max-width: 480px;
  width: 100%;
  height: auto;
  object-fit: cover;
}

@media (max-width: 1230px) {
  .key-wrapper {
    gap: 50px;
  }
}

@media (max-width: 1160px) {
  .key-experience-card {
    max-width: 175px;
    padding: 7px 10px;
    margin-right: -179px;
  }

  .key-main-image {
    padding: 26px 24px;
  }
}

@media (max-width: 1023.98px) {
  .key-wrapper {
    flex-direction: column;
    padding: 60px 0;
    padding-top: 40px;
  }

  .key-content {
    align-items: center;
    max-width: 596px;
  }

  .key-head-para {
    gap: 10px;
    align-items: center;
    text-align: center;
  }

  .key-note-card {
    padding: 8px 10px;
  }

  .key-visual {
    min-width: unset;
    max-width: 410px;
  }
}

@media (max-width: 640.98px) {
  .key-container {
    padding: 0 10px;
  }

  .key-wrapper {
    padding: 50px 0;
    padding-top: 35px;
  }
}

@media (max-width: 560.98px) {
  .key-note-card {
    max-width: 355px;
  }

  .key-note-icon {
    width: 40px;
    height: 40px;
  }

  .key-note-icon img {
    width: 24px;
    height: 24px;
  }

  .key-note-list {
    grid-template-columns: 1fr;
  }
}

@media (max-width: 480.98px) {
  .key-experience-card {
    max-width: 153px;
    padding: 4px;
    margin-right: -145px;
  }
}

/* SECTION 2 (Choose the right legal area) */
.legal-container {
  width: 100%;
  padding: 0 20px;
  background-color: var(--color-mist-green);
}

.legal-wrapper {
  max-width: 1240px;
  margin: 0 auto;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: clamp(35px, 5.3vw, 40px);
  padding: 80px 0;
}

.legal-head {
  display: flex;
  align-items: center;
  text-align: center;
}

.legal-card-wrapper {
  display: flex;
  gap: 39px;
}

.legal-card {
  max-width: 280px;
  width: 100%;
  display: flex;
  gap: 7px;
  padding: 16px 17px;
  border-radius: 16px;
  background-color: var(--color-white);
  box-shadow: 0 0 3px rgba(0, 0, 0, 0.2);
  transition: all 0.2s ease;
  cursor: default;
}

.legal-card-icon {
  width: 40px;
  height: 40px;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 50%;
  background-color: #d9fbd7;
  flex-shrink: 0;

  margin-top: 4px;
}

.legal-card-icon img {
  width: 19.35px;
  height: 19.35px;
}

.legal-card-content {
  display: flex;
  flex-direction: column;
  gap: 10px;
}

.legal-card-content h3 {
  margin-bottom: 10px;
}

.legal-card-content a {
  display: flex;
  align-items: center;
  gap: 6px;
  min-height: 30px;
  margin-top: auto;
  color: var(--color-green);
  text-decoration: underline;
}

.legal-card-content a span {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-shrink: 0;
}

.legal-card:nth-child(3) > .legal-card-content p {
  max-width: 154px;
}

.legal-card:hover {
  background-color: var(--color-green);
  color: var(--color-white);
  transition: all 0.2s ease;
}

.legal-card:hover > .legal-card-content h3 {
  color: var(--color-white);
  transition: all 0.2s ease;
}

.legal-card:hover > .legal-card-content p {
  color: var(--color-white);
  transition: all 0.2s ease;
}

.legal-card:hover > .legal-card-content a {
  color: var(--color-white);
  transition: all 0.2s ease;
}

@media (max-width: 1230px) {
  .legal-card-wrapper {
    gap: 26px;
    max-width: 984px;
  }

  .legal-card {
    padding: 8px;
  }
}

@media (max-width: 1023.98px) {
  .legal-wrapper {
    padding: 60px 0;
  }

  .legal-card-wrapper {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 40px;
  }

  .legal-card {
    padding: 16px 15.5px;
  }

  .legal-card:nth-child(3) > .legal-card-content p {
    max-width: 164px;
  }
}

@media (max-width: 640.98px) {
  .legal-wrapper {
    padding: 50px 0;
  }

  .legal-card-wrapper {
    grid-template-columns: 1fr;
    gap: 30px;
  }

  .legal-card {
    max-width: 257px;
    padding: 7px 9.5px;
  }
}

/* SECTION 3 (banner section) */
.banner-container {
  width: 100%;
  padding: 0 26px;
  background-color: var(--color-green);
}

.banner-wrapper {
  max-width: 1240px;
  margin: 0 auto;
  display: flex;
  justify-content: center;
  gap: 50px;
  padding: 26px 0;
}

.banner-point {
  max-width: 160px;
  width: 100%;
  display: flex;
  align-items: center;
  gap: 10px;
}

.banner-point-icon {
  display: flex;
  justify-content: center;
  align-items: center;
}

.banner-point h2 {
  color: var(--color-white);
}

.banner-divider {
  display: flex;
  flex-shrink: 0;
  width: 1px;
  height: auto;
  background-color: var(--color-white);
}

@media (max-width: 1160px) {
  .banner-wrapper {
    gap: 25px;
  }
}

@media (max-width: 1023.98px) {
  .banner-container {
    padding: 0 5px;
  }

  .banner-wrapper {
    padding: 16px 0;
    gap: 13px;
  }

  .banner-point-icon img {
    width: 30px;
    height: 30px;
  }
}

@media (max-width: 767.98px) {
  .banner-wrapper {
    flex-wrap: wrap;
    justify-content: center;
    gap: 8px;
    padding: 26px 0;
  }

  .banner-point {
    gap: 4px;
    max-width: 107px;
  }

  .banner-point.mw {
    max-width: 139px;
  }

  .banner-point-icon img {
    width: 28px;
    height: 28px;
  }

  .banner-point h2 {
    font-size: 18px;
    line-height: 28px;
  }
}

@media (max-width: 680px) {
  .banner-wrapper {
    max-width: 519px;
  }
}

@media (max-width: 530px) {
  .banner-wrapper {
    max-width: 360px;
  }

  .banner-divider.br {
    display: none;
  }
}

@media (max-width: 364.98px) {
  .banner-divider.br {
    display: flex;
  }

  .banner-divider.d-4 {
    display: none;
  }
}
